#!/usr/bin/perl
use Statistics::OLS;
use Math::FFT;
use Math::Stat;
use Math::Spline qw(spline linsearch binsearch);
use Math::Derivative qw(Derivative2);
use Math::Approx;
use Astro::FITS::CFITSIO qw( :longnames :constants );
use PDL;
use PDL::Fit::Polynomial; 
use PDL::Filter::Linear;
use PGPLOT;  # Load PGPLOT module
use PDL::Fit::Gaussian;
use PDL::Slatec;
use PDL::Image2D;
#use PDL::Matrix;



$DIR_DATA="CALIFA_PATH/V500/reduced_v2.2/";
#$DIR_DATA="CALIFA_PATH/V500/reduced_v1.3c/";
#map.6530_6630.*_flux_00.fits.gz

#open(DO,"ls GAS.*.cube.fits.gz |");
open(DO,"ls map.6530_6630.*_flux_00.fits.gz |");

$n=0;
open(DIR,"ls $DIR_DATA/*.V500.rscube.fits.gz |");
while($file=<DIR>) {
    chop($file);
    $name=$file;
    $name =~ s/$DIR_DATA//;
    $name =~ s/\///g;
    $cut=".V500.rscube.fits.gz";
    $name =~ s/$cut//;
    $existe=0;
    
    $call="dump_header_eq.pl ".$file." > ".$name.".header";
    system($call);
#    exit;
}

exit;
