#!/usr/bin/perl


$ns=0;
open(SKY,"legacy/emission_lines_V500.sky");
while($line=<SKY>) {
    chop($line);
    if ($line !~ "#") {
	@dat=split(" ",$line);
	$ws[$ns]=$dat[0];
	$ns++;
    }
}
close(SKY);


#open(FH,"<../SEG_GAS_v1.3c/candidates_NII5755.csv");
#ALL_LINES.M12.csv
$NNN=0;
open(FH,"<../SEG_GAS_v1.3c/ALL_LINES.M12.csv");
while($line=<FH>) {
    chop($line);
    if ($line !~ "#") {
	if ($NNN==0) {
	    print "# COLUMN17: t3 [NII]5755, float, ,[NII] Electron Temperature\n";
	    print "# COLUMN18: e_t3, float, , error\n";
	    print "# COLUMN19: t3 [OIII]4363, float, ,[OIII]4363 Electron Temperature\n";
	    print "# COLUMN20: e_t3, float, , error\n";
	    print "# COLUMN21:  12+log(O/H), float, , T2 [NII] Oxygen Abundance \n";
	    print "# COLUMN22:  12+log(O/H), float, , T3 [NII] Oxygen Abundance \n";
	    print "# COLUMN23: Flux_NII5755, float, 10^-16 cgs, [NII]5755 flux\n";
	    print "# COLUMN24: e_Flux_NII5755, float, 10^-16 cgs, [NII]5755 flux error\n";
	}

	$line =~ s/ //g;
	@dat=split(",",$line);
	$name=$dat[0];
	$OH=$dat[$#dat];
	if ($OH ne "nan") {
	@junk=split(/\-/,$name);
	$nr=$junk[$#junk];
	$obj=$name;
	$cut="-".$nr;
	$obj =~ s/$cut//;
	$n=int(1.0*$nr)-1;
#	print "$nr | $obj\n"; exit;

	$file="../SEG_GAS_v1.3c/CLEAN.FIT.HII.".$obj."_FLUX.slice";
	open(IN,"<$file");
	while($iline=<IN>) {
	    chop($iline);
	    if ($iline !~ "#") {
		@idat=split(" ",$iline);
		if ($idat[0]==$n) {
		    $eF=$idat[26];
		}
	    }
	}
	close(IN);


	$sfile="elines_auto_ssp.".$obj.".cen.HII.out";
	open(SKY,"<$sfile");
	$sline=<SKY>;
	$sline=<SKY>;
	close(SKY);
	chop($sline);
	@sdat=split(" ",$sline);
	$w_nii=5755*(1+$sdat[7]/300000);

	$near_sky=0;
	for ($j=0;$j<$ns;$j++) {
	    if (abs($ws[$j]-$w_nii)<10) {
		$near_sky=1;
	    }	
	}

	open(SN,"grep '$n ' ../SEG_GAS_v1.3c/ELINE.HII.$obj\_5754.5200.out |");
	$sn_line=<SN>; chop($sn_line); 
	@data=split(" ",$sn_line);
	$F=$data[1];
	$eF=$data[2];
#	if ($eF<0.25) {
#	    $eF=0.25;
#	}
	if ($eF>0) {
	    $data[3]=$F/$eF;
	} else {
	    $data[3]=0;
	}
	close(SN);




	if (($data[3]>1)) {
	    $out="FEW_new/zoom_SN_".$data[3]."_".$name."_NII5755.ps/CPS";
	    $call="./plot_output_FEW_5755.pl ".$obj." ".$n." ".$out." -1 2 5500 6200 > junk1.out";
	    system($call);
#	print "$call"; exit;
	    $out="FEW_new/SN_".$data[3]."_".$name."_NII5755.ps/CPS";
	    $call="./plot_output_FEW_5755.pl ".$obj." ".$n." ".$out." -1 20 5500 6200 > junk2.out";
	    system($call);
#	print "$call\n"; exit;





	    if ($near_sky==0) {
		print "$line,$F,$eF\n";
	    }
	}

	$NNN++;
	}
    } else {
	if ($NNN==0) {
	    print "$line\n";
	}
    }
}
close(FH);

exit;
