#!/usr/bin/perl
use Statistics::OLS;
use Math::FFT;
use Math::Stat;
use Math::Spline qw(spline linsearch binsearch);
use Math::Derivative qw(Derivative2);
use Math::Approx;
use Astro::FITS::CFITSIO qw( :longnames :constants );
use PDL;
use PDL::Fit::Polynomial; 
use PDL::Filter::Linear;
use PGPLOT;  # Load PGPLOT module
use PDL::Fit::Gaussian;
use PDL::Slatec;
use PDL::Image2D;
#use PDL::Matrix;

open(DO,"ls map.6530_6630.*_flux_00.fits.gz |");
while($line=<DO>) {
    if ($line !~ "#") {
	chop($line);
	$name=$line;
	$cut="map.6530_6630.";
	$name =~ s/$cut//;
	$cut="_flux_00.fits.gz";
	$name =~ s/$cut//;
	open(CEN,"grep radial ana_single.$name.log |");
	$cen=<CEN>;
	chop($cen);
	@cen_data=split(" ",$cen);
	close(CEN);
	$X=$cen_data[3];
	$Y=$cen_data[4];
	print "$name $X $Y\n";

    }


}
close(DO);

