#!/usr/bin/perl
use Statistics::OLS;
use Math::FFT;
use Math::Stat;
use Math::Spline qw(spline linsearch binsearch);
use Math::Derivative qw(Derivative2);
use Math::Approx;
use Astro::FITS::CFITSIO qw( :longnames :constants );
use PDL;
use PDL::Fit::Polynomial; 
use PDL::Filter::Linear;
use PGPLOT;  # Load PGPLOT module
use PDL::Fit::Gaussian;
use PDL::Slatec;
use PDL::Image2D;
#use PDL::Matrix;

if ($#ARGV<2) {
    print "USE: repack.pl OVERSIDE[0/1] NSAME[=20] DO_FTP[0/1]\n";
    exit;
}

$over=$ARGV[0];
$ns=$ARGV[1];
$do_ftp=$ARGV[2];


$DIR_DATA="CALIFA_PATH/V500/reduced_v2.2/";
#$DIR_DATA="CALIFA_PATH/V500/reduced_v1.3c/";
#map.6530_6630.*_flux_00.fits.gz

#open(DO,"ls GAS.*.cube.fits.gz |");
open(DO,"ls map.6530_6630.*_flux_00.fits.gz |");
while($line=<DO>) {
    if ($line !~ "#") {
	chop($line);
	$name=$line;
	$cut="map.6530_6630.";
	$name =~ s/$cut//;
	$cut="_flux_00.fits.gz";
	$name =~ s/$cut//;
	
	$call="./pack_NAME.pl ".$name;
	system($call);

	if ($do_ftp==1) {
	    $FTP="ftp_dataproduct.input";
	    open(FTP,">$FTP");
	    print FTP "open ftp://mycalifa\@ftp.caha.es\n";
	    print FTP "mkdir /TMP/GAS_tests/FIT3D/ANA_v1.5/dataproducts\n";
	    print FTP "cd /TMP/GAS_tests/FIT3D/ANA_v1.5/dataproducts\n";
	    print FTP "put  $name.ELINES.cube.fits.gz\n";
	    print FTP "put  $name.SSP.cube.fits.gz\n";
	    print FTP "put  $name.SFH.cube.fits.gz\n";
	    #	print FTP "mput  map.*$name*_??.fits.gz\n";
	    close(FTP);
	    $call="ncftp ftp://mycalifa@ftp.caha.es < ftp_dataproduct.input";
	    system($call);
	}

    }


}
close(DO);




exit;

sub mycall {                                      
                                                                   my $call=$_[0];

														     print "$call | PROCESSING\n";                                                                                 
    system($call);                                                                                                
    print LOG "$call\n";                                                                                          
    print "DONE\n";                                                                                              
} 
